Name:		perl-List-MoreUtils
Version:	0.413
Release:	2%{?dist}
Summary:	Provide the stuff missing in List::Util
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/List-MoreUtils/
Source0:	http://search.cpan.org/CPAN/authors/id/R/RE/REHSACK/List-MoreUtils-%{version}.tar.gz
Patch0:		List-MoreUtils-0.402-provides.patch
# Module Build
BuildRequires:	perl >= 4:5.10.0
BuildRequires:	perl(base)
BuildRequires:	perl(Config)
BuildRequires:	perl(constant)
BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Copy)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(lib)
BuildRequires:	perl(PerlIO)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Text::ParseWords)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter::Tiny) >= 0.038
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
BuildRequires:	perl(XSLoader)
# Test Suite
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Data::Dumper) >= 0.002
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(if)
BuildRequires:	perl(overload)
BuildRequires:	perl(Storable)
BuildRequires:	perl(Test::Builder::Module)
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(Tie::Array)
# Optional Tests
%if ! ( 0%{?rhel} )
BuildRequires:	perl(Test::LeakTrace)
%endif
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Carp)

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
List::MoreUtils provides some trivial but commonly needed functionality
on lists that is not going to go into List::Util.

%prep
%setup -q -n List-MoreUtils-%{version}

# Avoid unversioned provides
%patch0

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PERLLOCAL=1 NO_PACKLIST=1
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'
%{_fixperms} %{buildroot}
rm -f %{buildroot}%{_libdir}/perl5/perllocal.pod

%check
make test

%files
%doc Changes README.md
%{perl_vendorarch}/auto/List/
%{perl_vendorarch}/List/
%{_mandir}/man3/List::MoreUtils.3*
%{_mandir}/man3/List::MoreUtils::Contributing.3*
%{_mandir}/man3/List::MoreUtils::PP.3*
%{_mandir}/man3/List::MoreUtils::XS.3*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.413-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 13 2015 Paul Howarth <paul@city-fan.org> - 0.413-1
- Update to 0.413
  - Fix compiling in c++ mode (deprecated, but some people seem to require it)
    (CPAN RT#104690)

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.412-2
- Perl 5.22 rebuild

* Wed May 20 2015 Paul Howarth <paul@city-fan.org> - 0.412-1
- Update to 0.412
  - Move generation of test endpoints to author stage as requested per issue/#9
  - Add a rough guide for contributors
  - Fix CPAN RT#103251 to avoid removing bundled stuff by accident
  - Fix compilation errors under cl

* Mon Mar 30 2015 Paul Howarth <paul@city-fan.org> - 0.410-1
- Update to 0.410
  - Fix CPAN RT#102885: uniq bug broke tied array
  - Fix issue/8: Macros introduced in dfd851147f cause problems with MSVC
  - Update ppport.h from 3.25 to 3.31
  - Fix multiple mg_get can break weird ties
  - Fix test run using PERL5OPT=d:Confess
  - Use base instead of parent, 'cause parent isn't bundled before 5.10.1
  - Update bundled bootstrap modules
    - Data::Tumbler to 0.010
    - Test::WriteVariants to 0.012
    - Config::AutoConf to 0.311
  - Fix spelling (and add stop-words for names etc. in author tests)

* Wed Mar 18 2015 Paul Howarth <paul@city-fan.org> - 0.408-1
- Update to 0.408
  - Fix CPAN RT#102840: uniq broken for call-by-function-return
  - Fix CPAN RT#102853: hent_val accesses
  - Fix CPAN RT#102833: Compilation error with perl 5.21.7+
  - Fix regex for CPAN RT#44518 test

* Wed Mar 18 2015 Paul Howarth <paul@city-fan.org> - 0.407-1
- Update to 0.407
  - Added one(), onlyidx(), onlyval() (CPAN RT#73134) and onlyres()
  - Improve XS maintainability
  - Document how uniq/distinct deal with undef (CPAN RT#49800)
  - Add bsearchidx to satisfy CPAN RT#63470
  - Add singleton to satisfy CPAN RT#94382
  - Fix CPAN RT#82039 - uniq changes the type of its arguments
  - Fix CPAN RT#44518 again

* Tue Mar  3 2015 Paul Howarth <paul@city-fan.org> - 0.406-1
- Update to 0.406
  - Add new functions firstres and lastres in addition to firstidx, lastidx,
    firstval and lastval
  - Regenerate MANIFEST to bundle README.md

* Sat Feb 14 2015 Paul Howarth <paul@city-fan.org> - 0.405-1
- Update to 0.405
  - Fix CPAN RT#78527 - first_val/last_val in documentation
  - Fix CPAN RT#102055 - ExtUtils::MakeMaker required version absurdly high
  - Fix compiler issue for older/ansi-c89 compilers
  - Remove local compat workarounds in favour for ppport.h

* Thu Jan 29 2015 Paul Howarth <paul@city-fan.org> - 0.404-1
- Update to 0.404
  - Fix ancient toolchains (PREREQ_PM & Co. set appropriately)
  - Bump version required of Test::More to 0.96 (#toolchain calls it a "sane
    subset")
  - Fix some meta-data #toolchain pointed out

* Tue Jan 27 2015 Paul Howarth <paul@city-fan.org> - 0.403-1
- Update to 0.403
  - Remove most recent stable perl recommendation from meta to work around
    misbehaving CPAN clients blocking update
  - Update copyright date
  - Ensure AUTHOR is a string on older toolchains

* Wed Jan  7 2015 Paul Howarth <paul@city-fan.org> - 0.402-1
- Update to 0.402 (significant and slightly incompatible update - see Changes)
- This release by REHSACK → update source URL
- Classify buildreqs by usage
- Modernize spec as this isn't going to anywhere older than F-22

* Sun Sep 07 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.33-15
- Perl 5.20 re-rebuild of bootstrapped packages

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.33-14
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 14 2013 Jitka Plesnikova <jplesnik@redhat.com> - 0.33-11
- Perl 5.18 re-rebuild of bootstrapped packages

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 26 2013 Petr Pisar <ppisar@redhat.com> - 0.33-9
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 17 2012 Paul Howarth <paul@city-fan.org> - 0.33-7
- BR:/R: perl(Carp)
- BR: perl(constant), perl(Exporter) and perl(ExtUtils::CBuilder)
- Add commentary regarding non-use of Test::LeakTrace for EL-7 builds
- Use Test::LeakTrace for EL-5 builds
- Drop support for EL-4 builds since it was EOL-ed ages ago
- Drop %%defattr, redundant since rpm 4.4
- Don't need to remove empty directories from the buildroot
- Remove more command macros

* Mon Oct 15 2012 Petr Pisar <ppisar@redhat.com> - 0.33-6
- Do not build-require Test::LeakTrace on RHEL 7

* Fri Jul 27 2012 Tom Callaway <spot@fedoraproject.org> - 0.33-5
- Add epel filtering mechanism

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 Petr Pisar <ppisar@redhat.com> - 0.33-3
- Perl 5.16 re-rebuild of bootstrapped packages

* Tue Jun 19 2012 Petr Pisar <ppisar@redhat.com> - 0.33-2
- Perl 5.16 rebuild

* Tue Jan 24 2012 Paul Howarth <paul@city-fan.org> - 0.33-1
- Update to 0.33
  - Updated can_xs to fix a bug in it
- Reinstate compatibility with old distributions like EL-5
- Drop Test::More version requirement to 0.42
- BR: perl(ExtUtils::MakeMaker)
- BR: perl(Test::LeakTrace) except on EL-4/EL-5 where it's not available
- BR: perl(Pod::Simple), perl(Test::CPAN::Meta), perl(Test::MinimumVersion)
  (if we're not bootstrapping) and perl(Test::Pod), and run the developer tests
  too
- Don't use macros for commands
- Use %%{_fixperms} macro rather than our own chmod incantation
- Make %%files list more specific
- Use tabs

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.32-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 18 2011 Petr Sabata <contyk@redhat.com> - 0.32-3
- Perl mass rebuild

* Tue Jul 12 2011 Tom Callaway <spot@fedoraproject.org> - 0.32-2
- Rebuild to fix broken rawhide deps

* Sat Jul 02 2011 Iain Arnell <iarnell@gmail.com> - 0.32-1
- Update to latest upstream version

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.30-3
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 03 2011 Iain Arnell <iarnell@gmail.com> - 0.30-1
- Update to latest upstream version
- Clean up spec for modern rpmbuild
- Use perl_default_filter
- Remove unnecessary buildrequires

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.22-12
- Rebuild to fix problems with vendorarch/lib (#661697)

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.22-11
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.22-10
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.22-6
- Rebuild normally, second pass

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.22-5
- Rebuild for perl 5.10 (again), tests disabled for first pass

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.22-4
- Autorebuild for GCC 4.3

* Mon Jan 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.22-3
- Rebuild normally, second pass

* Fri Jan 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.22-2.1
- Rebuild for new perl, first pass, disable TPC and tests

* Sun Sep 10 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.22-2
- Rebuild for FC6

* Mon Jul  3 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.22-1
- Update to 0.22

* Mon Jun 19 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.21-1
- Update to 0.21

* Sat Jun 10 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.20-1
- Update to 0.20

* Sat Apr 22 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.19-1
- First build
